Get Customer Profile

Retrieving a user's customer profile from the sourceCustomerId encoded in the request's session token

Get Customer Profile

Use this endpoint to retrieve a user's customer profile.

The customer profile is derived from the sourceCustomerId encoded in the session token provided in the request header. See the Get Session Token documentation for more details.

GET /v2/customerProfile/getCustomerProfile

Request Headers

HeaderRequiredDescription
X-CDLX-Session-TokenYesThe session token obtained from the Get Session Token endpoint. The token identifies the customer through the encoded sourceCustomerId.

This endpoint does not require a request body.

Example

Request

GET /v2/customerProfile/getCustomerProfile
X-CDLX-Session-Token: <session-token>

Response

{
  "sourceCustomerId": "afa2r21-25f9-4501-b9db-e78afa73c0e3",
  "organizationId": "50004",
  "postalCode": "78753",
  "country": "US",
  "customerCreationDate": "2017-04-01T16:00:00Z",
  "enrollmentStartDate": "2021-10-01T08:00:00Z",
  "enrollmentEndDate": null,
  "enrollmentOptInStatus": "ACTIVE",
  "alertOptInStatus": [
    "NEW",
    "ACTIVATED",
    "EXPIRING",
    "REDEMPTION"
  ],
  "targetingIndicator": "TARGET",
  "portfolios": [
    {
      "sourcePortfolioId": "76afcd28-b494-4b29-b7f2-3eb614a92f97",
      "portfolioName": "Super Bank Rewards Program",
      "rewardCurrencyUnit": "Cash"
    }
  ],
  "accounts": [
    {
      "sourceAccountId": "42c57311-25f9-4501-b9db-e78afa73c0e3",
      "sourceCustomerIds": [
        "afa2r21-25f9-4501-b9db-e78afa73c0e3",
        "2e052a88-6ae1-4b78-8d96-f3a037402567"
      ],
      "primarySourceCustomerId": "afa2r21-25f9-4501-b9db-e78afa73c0e3",
      "status": "OPEN",
      "type": "DDA",
      "sourcePortfolioId": "76afcd28-b494-4b29-b7f2-3eb614a92f97",
      "accountOpenDate": "2017-04-01T16:00:00Z",
      "accountCloseDate": null,
      "cards": [
        {
          "sourceAccountId": "42c57311-25f9-4501-b9db-e78afa73c0e3",
          "sourceCustomerId": "afa2r21-25f9-4501-b9db-e78afa73c0e3",
          "last4": "2345",
          "iin": "123456",
          "cardType": "CREDIT",
          "status": "OPEN",
          "networkIdentifier": 3,
          "openDate": "2017-04-01T16:00:00Z",
          "closeDate": null
        }
      ]
    }
  ],
  "requestId": "380052b4-3a64-4952-b640-ba696eb9f44b"
}